<xml> </xml>

db4o |

# Configuration.Unicode Method

configures the storage format of Strings.

void Unicode(
bool flag
);

#### Parameters

flag

      true

  for turning Unicode support on,

      false

  for turning Unicode support off.

#### Remarks

configures the storage format of Strings.
This method needs to be called before a database file is created with the first Db4o.openFile() . db4o database files keep their string format after creation.
Turning Unicode support off reduces the file storage space for strings by factor 2 and improves performance.
Default setting: true

#### See Also

Configuration Interface | com.db4o.config Namespace